> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all organization memberships

GET https://api.contentful.com/organizations/{organization_id}/organization_memberships

Returns a paginated collection of all organization memberships. All organization members receive a scoped response.

Reference: https://contentful.com/developers/docs/references/user-management-api/organization-memberships/get-all-organization-memberships

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The organization ID

### Query parameters

- `skip` (integer, optional) — Specify an offset to paginate through results
- `limit` (integer, optional) — Specify the maximum number of results (max 100)
- `order` (enum, optional) — Specify sort order of result set
  - Allowed values: `role`, `sys.createdAt`, `sys.lastActiveAt`, `sys.user.firstName`, `sys.user.lastName`, `sys.user.email`
- `include` (enum, optional) — Specify linked resources to include in response
  - Allowed values: `sys.user`, `sys.createdBy`, `sys.updatedBy`
- `query` (string, optional) — Full-text search across multiple attributes
- `role` (enum, optional) — Filter by organization role
  - Allowed values: `owner`, `admin`, `developer`, `member`
- `sys.status` (enum, optional) — Filter by membership status
  - Allowed values: `pending`, `active`

## Response

### 200

OK - Paginated list of organization memberships

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "isExemptFromRestrictedMode": true,
      "role": "admin",
      "sys": {
        "createdAt": "2025-01-02T07:31:39.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "id": "0xWanD4AZI2AR35wW9q51n",
        "lastActiveAt": null,
        "sso": null,
        "status": "active",
        "type": "OrganizationMembership",
        "updatedAt": "2025-01-02T07:31:39.000Z",
        "updatedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "user": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 0
      }
    }
  ],
  "limit": 25,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```